/*  m2pwd.c     -- Display the current default filesystem/directory */
/*  Copyright 1998 By Terry R. McConnell */


#define USAGE "m2pwd"

#include    <stdio.h>
#include    <stdlib.h>
#include    <string.h>
#include    "sys/types.h"
#include    "mfs.h"
#include    "env.h"

/*==================================================================*/

int
main (int argc, char **argv)
{
    char *ptr;

    if ((argc >= 1) && (argv[1][0] == '-') && (argv[1][1] == '?'))
    {
	printf("Copyright 1998 Terry R. McConnell\n");
        printf ("Version %s\n", VERSION) ;
        printf ("%s\n",USAGE) ;
        printf("Displays current default Minix device and directory\n");
        exit (0) ;
    }

    if((ptr = getenv(ENVAR))==NULL){
	printf("m2pwd: %s is not set in environment. Default fd0:/ applies.\n",
		ENVAR);
	return 1;
    }

    printf("%s\n",ptr);
    return 0;
}
