/***************************************************************************
 * part.h - Routines for handling disk partitions
 *
 * Copyright (C) 1995 Claus Tondering, ct@login.dknet.dk
 * This file may be redistributed under the terms of the GNU Public License.
 ***************************************************************************/

/* Partition descriptor block */
struct part_desc {
	unsigned long	start;		 /* Starting sector number */
	unsigned long	length;		 /* Sector count */
	unsigned long	is_extended; /* Is extended partition */
	unsigned short	parttype;	 /* Partition type */
	short		parent;       /* Index of primary partition it is
                                       contained in, if Minix logical partition
					*/
};

/* File system type */
#define	EXT2FS	1
#define MSDOSFS	2
#define	SWAP	3
#define MINIXV1FS 4
#define MINIXV2FS 5

/* Partition types */
#define PART_DOS32	6
#define PART_EXT2	0x83
#define PART_SWAP	0x82
#define PART_MINIX	0x81
	
extern int get_part(int disk, struct part_desc *pl);
extern int getfstype(int disk, struct part_desc *pl);
extern int name2parms(int *, int *, char *, struct part_desc *);
